# $Revision: 1.6 $, $Date: 2005/01/12 07:21:38 $
%define		zope_subname	OrderedFolderSupportPatch
Summary:	Patch-product that modifies ObjectManager
Summary(pl):	Poprawka modyfikujca ObjectManagera
Name:		Zope-%{zope_subname}
Version:	1.0
Release:	3
License:	GPL
Group:		Development/Tools
Source0:	OrderedFolderSupportPatch.tar.gz
URL:		http://www.nuxeo.org
Requires(post,postun):	/usr/sbin/installzopeproduct
%pyrequires_eq	python-modules
Requires:	Zope >= 2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a patch-product that modifies ObjectManager to allow folders
to be ordered by the user.

%description -l pl
Poprawka modyfikujca ObjectManagera, aby pozwala na sortowanie
folderw przez uytkownika.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af *.py $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES HISTORY LICENSE.txt README.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-OrderedFolderSupportPatch.spec,v $
Revision 1.6  2005/01/12 07:21:38  ciesiel
- remove R:python
- fixed BR:CMF (epoch)

Revision 1.5  2004/12/27 14:08:14  saq
- release 2 for rebuild with python 2.4

Revision 1.4  2004/10/30 11:21:15  paladine
- spaces->tabs

Revision 1.3  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.2  2004/05/04 16:11:43  qboosh
- more informative pl desc

Revision 1.1  2004/05/03 08:18:14  ciesiel
- initial release
